{%- from "manila/map.jinja" import cfg with context %}

include:
  - manila._ssl.mysql
  - manila._ssl.rabbitmq

manila_common.pkgs:
  pkg.installed:
    - name: 'manila-common'
    - install_recommends: False
    - require_in:
      - sls: manila._ssl.mysql
      - sls: manila._ssl.rabbitmq

/etc/manila/manila.conf:
  file.managed:
  - source: salt://manila/files/{{ cfg.version }}/manila.conf
  - template: jinja
  - mode: 0640
  - group: manila
  - require:
    - pkg: manila_common.pkgs
    - sls: manila._ssl.mysql
    - sls: manila._ssl.rabbitmq
  - require_in:
    - sls: manila.db.offline_sync

{%- if cfg.get('concurrency', {}).lock_path is defined %}
manila_lock_path_{{ cfg.concurrency.lock_path }}:
  file.directory:
  - name: {{ cfg.concurrency.lock_path }}
  - user: manila
  - group: manila
  - mode: 750
  - makedirs: True
  - require:
    - pkg: manila_common.pkgs
{%- endif %}
