{%- from "manila/map.jinja" import cfg,api,scheduler,data,share,client,upgrade with context %}

manila_render_config:
  test.show_notification:
    - text: "Running manila.upgrade.render_config"

{%- if ( api.get('enabled', False) or scheduler.get('enabled', False) or data.get('enabled', False) or share.get('enabled', False)) %}
/etc/manila/manila.conf:
  file.managed:
  - source: salt://manila/files/{{ cfg.version }}/manila.conf
  - template: jinja
  - mode: 0640
  - group: manila

{%- if cfg.get('concurrency', {}).lock_path is defined %}
manila_upgrade_lock_path_{{ cfg.concurrency.lock_path }}:
  file.directory:
  - name: {{ cfg.concurrency.lock_path }}
  - user: manila
  - group: manila
  - mode: 750
  - makedirs: True
{%- endif %}
{%- endif %}
